<?php

namespace app\admin\service\coupon;

use app\model\CouponDetail;
use support\Db;

class CouponService
{
    public static function checkCouponExpired()
    {
        $couponDetails = Db::select("select * from app_coupon_detail where cast(UNIX_TIMESTAMP('coupon_detail_deadline_datetime') as SIGNED) < ".time());
        dump($couponDetails);
        foreach ($couponDetails as $detail){
            $endTimeUnix = strtotime($detail->coupon_detail_deadline_datetime);
            if ($endTimeUnix < time()){
                CouponDetail::where('join_detail_coupon_id',$detail->$detail)->update(['coupon_detail_status'=>'EXPIRED']);
            }
        }
    }
}